> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Form

> Update Form.



## OpenAPI

````yaml PUT /forms/update
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /forms/update:
    put:
      tags:
        - Forms
      summary: Update form (partial)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - id
              properties:
                id:
                  type: string
                  pattern: ^[a-fA-F0-9]{24}$
                  example: '{{objectId}}'
                title:
                  type: object
                  additionalProperties:
                    type: string
                slug:
                  type: string
                description:
                  type: object
                  additionalProperties:
                    type: string
                submitButtonText:
                  type: object
                  additionalProperties:
                    type: string
                sections:
                  type: array
                  items:
                    type: object
                isActive:
                  type: boolean
            examples:
              Update (partial):
                value:
                  id: '{{objectId}}'
                  title:
                    en: Contact Us (updated)
                  isActive: true
      responses:
        '201':
          description: Updated
          content:
            application/json:
              example:
                success: true
                statusCode: 201
                message: Form updated
                data:
                  id: '{{objectId}}'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '422':
          description: Validation error
        '500':
          description: Server error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````